package com.tuoheng.miniprogram.enums;

public enum UserAuthorizeEnum {

    UNAUTHORIZED(10001, "用户未授权"),
    OPEN_ID_IS_NULL(10002, "openId为空");

    /**
     * 标识码
     */
    private Integer code;

    /**
     * 描述
     */
    private String msg;

    UserAuthorizeEnum(Integer code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
